com.pivotal.gemfirexd.thrift.internal

## Class HostConnection

- java.lang.Object
- - com.pivotal.gemfirexd.thrift.internal.HostConnection

    public final class HostConnection
    extends Object

Encapsulates a connection to a specific host.

### Field Summary

Fields
`int` `connId`
`com.pivotal.gemfirexd.thrift.HostAddress` `hostAddr`
`ByteBuffer` `token`

### Constructor Summary

Constructors
Constructor and Description
`HostConnection(com.pivotal.gemfirexd.thrift.HostAddress host, int connId, ByteBuffer token)`

### Method Summary

Methods
`boolean` `equals(HostConnection other)`
`boolean` `equals(Object other)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### hostAddr

    public final com.pivotal.gemfirexd.thrift.HostAddress hostAddr

#### connId

    public final int connId

#### token

    public final ByteBuffer token

### Constructor Detail

#### HostConnection

    public HostConnection(com.pivotal.gemfirexd.thrift.HostAddress host,
                  int connId,
                  ByteBuffer token)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals(HostConnection other)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`